<mat-card class="container">
  <h3 class="titre">Feuille de caisse</h3>
  <div class="card-parent">
    <mat-card *ngIf="data" class="card" style="background-color: bisque">
      <h4 class="titre">Totaux</h4>
      <mat-list>
        <mat-list-item>CB (physique)&nbsp;<b>{{data.total.cb}}</b></mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item>Espèces &nbsp;<b>{{data.total.espece}}</b></mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item>Chèque &nbsp;<b>{{data.total.cheque}}</b></mat-list-item>
        <mat-divider></mat-divider>
        <mat-list-item>Internet &nbsp;<b>{{data.total.int}}</b></mat-list-item>
      </mat-list>
    </mat-card>

    <div *ngFor="let type of data.par_types">
      <mat-card *ngIf="type.type.enabled || hideDisabledTypes" [class.card-disabled]="!type.type.enabled"
                [class.card-enabled]="type.type.enabled" [class.card]="true">
        <h4 class="titre" matTooltip="{{type.type.description}}">{{type.type.name}} {{type.type.price_ttc}}€</h4>
        <mat-list>
          <mat-list-item>CB (physique) &nbsp;<b>{{type.cb}}</b></mat-list-item>
          <mat-divider></mat-divider>
          <mat-list-item>Espèces &nbsp;<b>{{type.espece}}</b></mat-list-item>
          <mat-divider></mat-divider>
          <mat-list-item>Chèque &nbsp;<b>{{type.cheque}}</b></mat-list-item>
          <mat-divider></mat-divider>
          <mat-list-item>Internet &nbsp;<b>{{type.int}}</b></mat-list-item>
        </mat-list>
      </mat-card>
    </div>

    <mat-card class="card" style="background-color: whitesmoke;">
      <h4 class="titre">Paramètres</h4>
      <form (ngSubmit)="fetch(form.value)" [formGroup]="form">
        <!--<mat-form-field appearance="outline">
          <mat-label>Date de début</mat-label>
          <input [matDatepicker]="picker1" formControlName="start_date" matInput>
          <mat-datepicker-toggle [for]="picker1" matSuffix></mat-datepicker-toggle>
          <mat-datepicker #picker1></mat-datepicker>
        </mat-form-field>   en fait c'est chiant car la date est affichée au format FR, mais si on essaie de l'éditer là
        c'est en format US ...-->
        <mat-form-field appearance="fill">
          <mat-label>Date de début</mat-label>
          <input formControlName="start_date" matInput type="date"/>
        </mat-form-field>
        &nbsp;
        <mat-form-field appearance="fill">
          <mat-label>Heure de début</mat-label>
          <input formControlName="start_time" matInput type="time"/>
        </mat-form-field>
        <br/>

        <!--<mat-form-field appearance="outline">
          <mat-label>Date de fin</mat-label>
          <input [matDatepicker]="picker2" formControlName="stop_date" matInput>
          <mat-datepicker-toggle [for]="picker2" matSuffix></mat-datepicker-toggle>
          <mat-datepicker #picker2></mat-datepicker>
        </mat-form-field>-->
        <mat-form-field appearance="outline">
          <mat-label>Date de fin</mat-label>
          <input formControlName="stop_date" matInput type="date"/>
        </mat-form-field>
        &nbsp;
        <mat-form-field appearance="outline">
          <mat-label>Heure de début</mat-label>
          <input formControlName="stop_time" matInput type="time"/>
        </mat-form-field>
        <br/>
        <button color="primary" mat-raised-button>Exécuter</button>
      </form>
      <br/>
      <mat-slide-toggle [(ngModel)]="hideDisabledTypes">Afficher les types d'adhésions désactivés</mat-slide-toggle>
    </mat-card>

  </div>
</mat-card>
